
#-----------------------------------------------------------------------------
sub error
#-----------------------------------------------------------------------------
{
  local($errorMsg,@error_fields) = @_;

  #print "Content-type: text/html\n\n";

  &msg("============================================================================");
  &msg("Error (Fatal): $errorMsg");
  &msg("DB Error: $DBI::errstr"); 
  &msg("SQL Statement: $statement -or- $sql"); 
  &msg("============================================================================");

  print "</body>";
  print "</html>";

  chop($admin_email = `grep Admin_EMail: /opt/dbamon/adm/dbamonrc | awk '{ print \$2 }'`);
  &msg("Sending ERROR email to $admin_email:"); 
  system("echo \"$P - DBAmon Master Server: $hostname\" | dbamon_mailer -s \"DBAmon Fatal Error: $P - $errorMsg\" $admin_email");

  &msg("Exiting rc=1 - Click BACK"); 
  exit(1);
}

#------------------------------------------------------------------------------
sub msg
#------------------------------------------------------------------------------
{
  $msgmsg = $_[0];
  chop($date = `date +%Y/%m/%d-%H:%M:%S`);
  ##print "</center><br><font size=2>$date ${P} | <b>$msgmsg</b></font><center>\n";
  ##print "<br><span style='font-family:consolas;font-size:8pt;'><font size=2>$date ${P} | <b>$msgmsg</b></font>\n";
  print "<br><span style='font-family:consolas;font-size:8pt;'>$date ${P} | <b>$msgmsg</b>\n";
}

#-----------------------------------------------------------------------------
sub IntHandler
#-----------------------------------------------------------------------------
{
   local($Signal) = @_;
   close(you_fill_in_the_file_descriptor);
   unlink($you_fill_in_the_tmp_file_name);
   exit(0);
}

#-----------------------------------------------------------------------------
sub header
#-----------------------------------------------------------------------------
{
  $header_banner = $_[0];
  $links_include = `cat /opt/dbamon/lib/trans_links.txt`;

  print "Content-type: text/html\n\n
  <title>DBAmon $header_banner</title>
  <body bgcolor=white link=darkblue vlink=darkblue><font face=$font>
  <table width=750><tr><td><img src='/dbamon/img/dbamonlogo.jpg' width=750>
  <tr bgcolor=wheat><td><font face=$font size=4>
      <center> $header_banner </center>
  </table>

  <table width=750>
  <tr>

   $links_include

  </table><hr> ";

  $style_small  = "style='font-family:$font;font-size:8pt;'"; 
  $style_normal = "style='font-family:$font;font-size:10pt;'"; 
  $style_large = "style='font-family:$font;font-size:13pt;'"; 
}

#------------------------------------------------------------------------------
sub bgRow
#------------------------------------------------------------------------------
{
  if ($lastbg == 1)
  {
    $lastbg = 0;
    return "bgcolor=white";
  }
  else
  {
    $lastbg = 1;
    #return "bgcolor=lightgrey";
    ##return "bgcolor=#E6E6FA";
    return "bgcolor=beige";
  }
}

1;
